# newgrf_animation_base.h File Reference

Function implementations related to NewGRF animation. More...

`#include "animated_tile_func.h"`
`#include "core/random_func.hpp"`
`#include "date_func.h"`
`#include "viewport_func.h"`
`#include "newgrf_animation_type.h"`
`#include "newgrf_callbacks.h"`

Go to the source code of this file.

## Data Structures
struct | AnimationBase< Tbase, Tspec, Tobj, GetCallback >
| Helper class for a unified approach to NewGRF animation. More...

## Detailed Description

Function implementations related to NewGRF animation.

Definition in file newgrf_animation_base.h.